# disable debuginfo package
%define debug_package %{nil}

%define reldate 20030511

Name: howto
Version: 9
Release: %{reldate}.1
Summary: HOWTO documents from the Linux Documentation Project.
Summary(cs): HOWTO z projektu LDP (Linux Documentation Project).
Group: Documentation
Group(cs): Dokumentace
License: Distributable
Url: http://www.ibiblio.org/pub/Linux/docs/
Packager: Milan Kerslager <kerslage@linux.cz>
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Obsoletes: ldp
Source0: Linux-HOWTOs-%{reldate}.tar.bz2
Source1: Linux-html-HOWTOs-%{reldate}.tar.bz2
Source2: Linux-html-single-HOWTOs-%{reldate}.tar.bz2
Source3: Linux-pdf-HOWTOs-%{reldate}.tar.bz2
Source4: Linux-ps-HOWTOs-%{reldate}.tar.bz2
Source5: Linux-mini-HOWTOs-%{reldate}.tar.bz2
Source6: Linux-mini-html-HOWTOs-%{reldate}.tar.bz2
Source6: Linux-mini-html-single-HOWTOs-%{reldate}.tar.bz2
Source7: Linux-mini-pdf-HOWTOs-%{reldate}.tar.bz2
Source8: Linux-mini-ps-HOWTOs-%{reldate}.tar.bz2

%description
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

There are HOWTOs and Mini-HOWTO (short HOWTOs).

Install the howto package if you'd like to be able to access the Linux
HOWTO documentation from your own system. Choose format you need
(plain text, HTML, HTML in one single file, PDF or PostSript).

%description -l cs
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Balky obsahuj HOWTO a Mini-HOWTO (krtk HOWTO).

Nainstalujte si tyto balky, pokud chcete mt dokumentaci pmo ve
svm systmu. Vyberte si formt, kter vm vyhovuje (obyejn text,
HTML, HTML v jedinm souboru, PDF a PostSript).

%package txt
Summary: HOWTO documents from the Linux Documentation Project (text version).
Summary(cs): HOWTO z projektu LDP (Linux Documentation Project), textov verze.
Group: Documentation
Group(cs): Dokumentace

%description txt
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is plain text version of HOWTO.

%description -l cs txt
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu istho textu (plain-text).

%package html
Summary: HOWTO documents from the Linux Documentation Project (HTML version).
Summary(cs): HOWTO z projektu LDP (Linux Documentation Project), HTML verze.
Group: Documentation
Group(cs): Dokumentace

%description html
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is HTML version of HOWTO.

%description -l cs html
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory v HTML formtu.

%package html-single
Summary: HOWTO documents from the Linux Documentation Project (HTML-single version).
Summary(cs): HOWTO z projektu LDP (Linux Documentation Project), HTML-single.
Group: Documentation
Group(cs): Dokumentace

%description html-single
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is HTML version of HOWTO (single-file).

%description -l cs html-single
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu HTML (ve v jednom).

%package pdf
Summary: HOWTO documents from the Linux Documentation Project (PDF version).
Summary(cs): HOWTO z projektu LDP (Linux Documentation Project), PDF verze.
Group: Documentation
Group(cs): Dokumentace

%description pdf
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is PDF version of HOWTO.

%description -l cs pdf
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu PDF.

%package ps
Summary: HOWTO documents from the Linux Documentation Project (PS textversion).
Summary(cs): HOWTO z projektu LDP (Linux Documentation Project), PostScript.
Group: Documentation
Group(cs): Dokumentace

%description ps
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is PS version of HOWTO.

%description -l cs ps
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu PostScript.

%package mini-txt
Summary: Mini-HOWTO documents from the Linux Documentation Project (text version).
Summary(cs): Mini-HOWTO z projektu LDP (Linux Documentation Project), textov verze.
Group: Documentation
Group(cs): Dokumentace

%description mini-txt
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is plain text version of Mini-HOWTO.

%description -l cs mini-txt
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory Mini-HOWTO ve formtu istho textu
(plain-text).

%package mini-html
Summary: Mini-HOWTO documents from the Linux Documentation Project (HTML version).
Summary(cs): Mini-HOWTO z projektu LDP (Linux Documentation Project), HTML.
Group: Documentation
Group(cs): Dokumentace

%description mini-html
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is HTML version of Mini-HOWTO.

%description -l cs mini-html
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu HTML.

%package mini-html-single
Summary: Mini-HOWTO documents from the Linux Documentation Project (HTML-single version).
Summary(cs): Mini-HOWTO z projektu LDP (Linux Documentation Project), HTML-single.
Group: Documentation
Group(cs): Dokumentace

%description mini-html-single
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is HTML version of Mini-HOWTO (single-file).

%description -l cs mini-html-single
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu HTML (ve v jednom).

%package mini-pdf
Summary: Mini-HOWTO documents from the Linux Documentation Project (PDF version).
Summary(cs): Mini-HOWTO z projektu LDP (Linux Documentation Project), PDF verze.
Group: Documentation
Group(cs): Dokumentace

%description mini-pdf
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is PDF version of Mini-HOWTO.

%description -l cs mini-pdf
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu PDF.

%package mini-ps
Summary: Mini-HOWTO documents from the Linux Documentation Project (PS version).
Summary(cs): Mini-HOWTO z projektu LDP (Linux Documentation Project), PS verze.
Group: Documentation
Group(cs): Dokumentace

%description mini-ps
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux. Linux HOWTOs are a great source of
practical information about your system. The latest versions of these
documents are located at http://metalab.unc.edu/linux/. Some of them
are obsolete but sometimes old documentation is better than none at all...

This is PostScript version of Mini-HOWTO.

%description -l cs mini-ps
Linuxov HOWTO jsou dokumenty, kter vysvtluj rzn aspekty konfigurace
a pouvn Linuxu. Jsou vbornm zdrojem praktickch informac o vaem
systmu. Jejich nejnovj verze naleznete na adrese
http://metalab.unc.edu/linux/. Nkter z nich obsahuj ponkud star
informace, ale nkdy je star dokumentace lep, ne dn...

Tento balek obsahuje soubory ve formtu PostScript.

%prep
[ -d $RPM_BUILD_DIR/%{name}-%{version} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{version}
# txt
%setup -q -c -n %{name}-%{version}/HOWTO/txt
# html
%setup -q -T -D -a1 -c -n %{name}-%{version}/HOWTO
mv HOWTO html
# html-single
%setup -q -T -D -a2 -c -n %{name}-%{version}/HOWTO/html-single
# pdf
%setup -q -T -D -a3 -c -n %{name}-%{version}/HOWTO/pdf
# ps & unzip
%setup -q -T -D -a4 -c -n %{name}-%{version}/HOWTO/ps
# and now Mini-HOWTO
# mini-txt
%setup -q -T -D -a5 -c -n %{name}-%{version}/HOWTO/mini/txt
# mini-html
%setup -q -T -D -a6 -c -n %{name}-%{version}/HOWTO/mini/html
# mini-html-single 
%setup -q -T -D -a6 -c -n %{name}-%{version}/HOWTO/mini/html-single
# mini-pdf
%setup -q -T -D -a7 -c -n %{name}-%{version}/HOWTO/mini/pdf
# mini-ps & unzip (to be quiet we have to use find and not wildcards)
%setup -q -T -D -a8 -c -n %{name}-%{version}/HOWTO/mini/ps

%build
cd $RPM_BUILD_DIR/%{name}-%{version}
find . -name \*.gz | xargs gunzip

%install
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/HOWTO
cp -a $RPM_BUILD_DIR/%{name}-%{version}/HOWTO $RPM_BUILD_ROOT/%{_defaultdocdir}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files txt
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/txt
%doc %{_defaultdocdir}/HOWTO/txt/*

%files html
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/html
%doc %{_defaultdocdir}/HOWTO/html/*

%files html-single
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/html-single
%doc %{_defaultdocdir}/HOWTO/html-single/*

%files pdf
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/pdf
%doc %{_defaultdocdir}/HOWTO/pdf/*

%files ps
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/ps
%doc %{_defaultdocdir}/HOWTO/ps/*

%files mini-txt
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/mini/txt
%doc %{_defaultdocdir}/HOWTO/mini/txt/*

%files mini-html-single
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/mini/html
%doc %{_defaultdocdir}/HOWTO/mini/html/*

%files mini-html
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/mini/html-single
%doc %{_defaultdocdir}/HOWTO/mini/html-single/*

%files mini-pdf
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/mini/pdf
%doc %{_defaultdocdir}/HOWTO/mini/pdf/*

%files mini-ps
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/HOWTO/mini/ps
%doc %{_defaultdocdir}/HOWTO/mini/ps/*

%changelog
* Wed May 14 2003 Milan Kerslager <kerslage@linux.cz>
- mini-html added (multiple HTML files)
- updated for RH 9

* Thu May 16 2002 Milan Kerslager <kerslage@linux.cz>
- initial version
